KRB5_EAI_TO_HEIM_ERRNO(3) | Library Functions Manual | KRB5_EAI_TO_HEIM_ERRNO(3)

# NAME

`krb5_eai_to_heim_errno`, `krb5_h_errno_to_heim_errno` —
convert resolver error code to com_err error codes

# LIBRARY

Kerberos 5 Library (libkrb5, -lkrb5)

# SYNOPSIS

`#include <krb5/krb5.h>`

krb5_error_code
`krb5_eai_to_heim_errno`(int eai_errno, int system_error);

krb5_error_code
`krb5_h_errno_to_heim_errno`(int eai_errno);

# DESCRIPTION

`krb5_eai_to_heim_errno`() and `krb5_h_errno_to_heim_errno`() convert getaddrinfo(3), getnameinfo(3), and h_errno(3) to com_err error code that are used by Heimdal, this is useful for for function returning kerberos errors and needs to communicate failures from resolver function.

# SEE ALSO

krb5(3), kerberos(8)

April 13, 2004 | NetBSD 9.4